package com.kingdee.eas.custom.salarytemplate;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.IHRBillBase;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.hr.base.HRBillBase;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.eas.custom.salarytemplate.app.*;
import com.kingdee.bos.framework.*;

public class WagesChromatography extends HRBillBase implements IWagesChromatography
{
    public WagesChromatography()
    {
        super();
        registerInterface(IWagesChromatography.class, this);
    }
    public WagesChromatography(Context ctx)
    {
        super(ctx);
        registerInterface(IWagesChromatography.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("24DEF3A8");
    }
    private WagesChromatographyController getController() throws BOSException
    {
        return (WagesChromatographyController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public WagesChromatographyCollection getWagesChromatographyCollection() throws BOSException
    {
        try {
            return getController().getWagesChromatographyCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public WagesChromatographyCollection getWagesChromatographyCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getWagesChromatographyCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public WagesChromatographyCollection getWagesChromatographyCollection(String oql) throws BOSException
    {
        try {
            return getController().getWagesChromatographyCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public WagesChromatographyInfo getWagesChromatographyInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getWagesChromatographyInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public WagesChromatographyInfo getWagesChromatographyInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getWagesChromatographyInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public WagesChromatographyInfo getWagesChromatographyInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getWagesChromatographyInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}